/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.comment-main-styles {
  font-size: 1.6rem;
  line-height: 24px;
}

.comments-container {
  padding-top: 4px;
  padding-bottom: 16px;
  border-bottom: 1px solid @platform-blue3;
}

.new-comment-container {
  padding-top: 24px;
  padding-bottom: 24px;
  &.new-comment-divider {
    border-top: 1px solid @platform-blue3;
  }
}

.comment-user-name-div {
  line-height: 22px;
  font-weight: 500;
  margin-top: 8px;
  margin-bottom: 12px;
}

.comment-label {
  font-weight: 500;
  font-size: 1.6rem !important;
  line-height: 26px;
}

.comment-input {
  display: block;
  resize: vertical;
  margin-top: 8px !important;
  font-size: 1.6rem !important;
}

.comment-user-icon {
  background-color: #000;
  height: 40px;
  width: 40px;
  border-radius: 50%;
  border: 1px solid #000;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-right: 16px;
}

.comment-left-offset {
  margin-left: 56px;
}

.single-comment-div {
  padding-top: 24px;
  border-bottom: 1px solid @platform-blue3;
  width: 724px;
  & .comment-body {
    margin-top: 4px;
    padding-bottom: 24px;
    margin-left: 56px;
  }
  & .comment-less-padding {
    padding-bottom: 8px;
  }
}

.comment-form-container {
  margin-left: 56px;
}

.comment-date-div {
  margin-left: 24px;
  font-weight: 400;
}

.comment-answer-btn {
  margin-right: 24px;
  & .comment-answer-btn-label {
    text-decoration: underline;
  }
}

.comment-action-btn-div {
  margin-top: 12px;
  margin-left: -1px;
  &.comment-with-answer {
    margin-left: 4px;
    padding-bottom: 32px;
  }
}

.comment-divider {
  width: 668px;
  border-bottom: 1px solid @platform-blue3;
  margin-left: 56px;
}

.comment-answer {
  padding-top: 24px;
  border-bottom: 1px solid @platform-blue3;
  &.comment-no-border {
    border-bottom: none;
  }
}

.comment-popover-div {
  width: 300px;
  font-size: 1.6rem;
}

.comment-popover-title {
  margin-left: 8px;
}
